# Remove-RASCriteriaHardwareID.md

## NAME

Remove-RASCriteriaHardwareID

## SYNOPSIS

Removes a hardware ID from the Criteria Hardware ID List.

## SYNTAX

\*\*Remove-RASCriteriaHardwareID \[-[DefObjType](#defobjtype)] {[MFA](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mfa)} \[\[-[SiteId](#siteid-string)] *(uint)*] -[HardwareID](#hardwareid-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASCriteriaHardwareID \[[Id](#id-string)] *(uint)* -[HardwareID](#hardwareid-string) *(string)* -[ObjType](#objtype) {ClientPolicy | PubItem | MFA | LogonHours} \[[RuleId](#ruleid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASCriteriaHardwareID \[-[InputObject](#inputobject)] *(*[*RASListObj*](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/raslistobj)*)* -[HardwareID](#hardwareid-string) *(string)* \[[RuleId](#ruleid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASCriteriaHardwareID \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[HardwareID](#hardwareid-string) *(string)* -[ObjType](#objtype) {ClientPolicy | PubItem | MFA | LogonHours} \[[RuleId](#ruleid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes a Hardware ID from the Criteria Hardware ID List within the Criteria settings of a ClientPolicy, MFA or PubItem.

## PARAMETERS

## HardwareID (string)

The hardware ID to remove from the Criteria.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Name (string)

The name or server for which to modify the Criteria settings.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID for which to modify the Criteria settings.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a server for which to modify the Criteria settings.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([RASListObj](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/raslistobj))

An object of type ClientPolicy, PubItem or MFA for which to modify the Criteria settings.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjType ([CriteriaObjType](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/criteriaobjtype))

The Object Type for which to modify the Criteria settings.

Possible values: ClientPolicy, PubItem, MFA, LogonHours

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DefObjType

([CriteriaDefObjType](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/criteriadefobjtype)) The Default Object Type for which to modify the Criteria settings.

Possible values: MFA

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## RuleId (uint)

The ID of the Rule to modify.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASCriteriaHardwareID -Id 1 -ObjType MFA -HardwareID "D4-3D-7E-BF-4B-DC"

Removes a hardware ID from the Criteria Hardware ID List within the Criteria Settings of the specified MFA by ID.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASCriteriaHardwareID -Name "Logon1" -ObjType MFA -HardwareID "D4-3D-7E-BF-4B-DC"

Removes a hardware ID from the Criteria Hardware ID List within the Criteria Settings of the specified MFA by Name.

## RELATED LINKS

* [Get-RASCriteria](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rascriteria)
* [Set-RASCriteria](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rascriteria)
* [Add-RASCriteriaHardwareID](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rascriteriahardwareid)
* [Get-RASCriteriaHardwareID](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rascriteriahardwareid)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rascriteriahardwareid.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
